### File

`packages/ecl/components/ecl-page-header/ecl-page-header-next/ecl-page-header-next.component.ts`

### Description

ECL Page Header component, wraps header content and handles background images and breadcrumb styling.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `div[eclPageHeader]`
templateUrl | `./ecl-page-header-next.component.html`

### Index

###### Properties
eclBackgroundPicture eclBreadcrumbComponent eclPageHeaderContainer hasDescriptioncontainer hasPicture
###### Methods
getCssClasses
###### Inputs
variant class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

variant
Type : `'50-50' | 'news' | null`
Default value : `null`

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
CSS classes applied to the host. Adds 'ecl-page-header--image' if a background picture exists

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclBackgroundPicture
Type : `unknown`
Default value : `contentChild(EclPageHeaderBackgroundPictureDirective, { descendants: true})`
Reference to the background picture directive, if present.

eclBreadcrumbComponent
Type : `unknown`
Default value : `contentChild(EclBreadcrumbComponent)`
Reference to the ECL breadcrumb inside the header.

eclPageHeaderContainer
Type : `unknown`
Default value : `contentChild(EclPageHeaderContainerDirective)`
Reference to the container, if present.

hasDescriptioncontainer
Type : `unknown`
Default value : `computed(() => !!this.eclBackgroundPicture())`
True if a background picture exists.

hasPicture
Type : `unknown`
Default value : `computed(() => !!this.eclBackgroundPicture())`
True if a background picture exists.

### Accessors

cssClasses
get `cssClasses()`
CSS classes applied to the host. Adds 'ecl-page-header--image' if a background picture exists Returns : `string`

# results matching ""

# No results matching ""